//----------------------------------------------------------------------------
//  Project fcombo
//  
//  Copyright  1996. All Rights Reserved.
//
//  SUBSYSTEM:    fcombo.apx Application
//  FILE:         fcombo.h
//  AUTHOR:       Dr J. Maddock
//
//  OVERVIEW
//  ~~~~~~~~
//  Class definition for TFontCombo (TComboBox).
//
//----------------------------------------------------------------------------
#if !defined(fcombo_h)              // Sentry, use file only if it's not already included.
#define fcombo_h

#include <owl/combobox.h>
#include <owl/printer.h>

//define values for flags:

#if defined(_BUILDFCDLL)
	#define _FCCLASS _export
#elif defined(_FCDLL)
	#define _FCCLASS _import
#else
	#define _FCCLASS
#endif

#define FC_TT 1 			//true type fonts
#define FC_RASTER	2		//raster fonts
#define FC_PRINTER 4		//printer fonts
#define FC_FIXED 16		//fixed fonts only
#define FC_STYLES 32		//show styles not fonts

class TFontList;

//{{TComboBox = TFontCombo}}
class _FCCLASS TFontCombo : public TComboBox
{
protected:
	uint16 flags;
	TPrinter* printer;
	TFontList* fonts;
	int size;
	TBitmap Glyphs;
	int Width;
	char family[128];
public:
	TFontCombo(TWindow* parent, int id, int x, int y, int w, int h, uint32 style, uint textLimit, TModule* module = 0);
	TFontCombo(TWindow* parent, int ResourceId, uint textLen = 0, TModule* module = 0);
	virtual ~TFontCombo();
	static int CALLBACK MainFontProc(ENUMLOGFONT FAR* lpelf,
					NEWTEXTMETRIC FAR*  lpntm, int  FontType, LPARAM lParam);
	virtual void DrawItem(DRAWITEMSTRUCT far& drawInfo);
	virtual void MeasureItem (MEASUREITEMSTRUCT far& measureInfo);
	virtual void SetupWindow();
	void Update();
	void AddFont(LOGFONT* lf, int type, const char* style);
	void SetFontSize(int n);
	void SetFlags(uint16 f){flags = f; Update();}
	uint16 GetFlags(){return flags;}
	void SetPrinter(TPrinter* prn){printer = prn; Update();}
	bool GetSelFont(LOGFONT* lf);
	void SetFamily(const char* family);
	const char* GetFamily(){return family;}
	friend TFontCombo;
};    //{{TFontCombo}}


#endif  // fcombo_h sentry.

