//----------------------------------------------------------------------------
//  Project Fcombo
//  
//  Copyright  1996. All Rights Reserved.
//
//  SUBSYSTEM:    Fcombo Application
//  FILE:         fcombapp.cpp
//  AUTHOR:       Dr J. Maddock
//
//  OVERVIEW
//  ~~~~~~~~
//  Source file for implementation of TFcomboApp (TApplication).
//
//----------------------------------------------------------------------------

#include <owl/pch.h>

#if !defined(__WIN32__)
	#include <ctl3d.h>
#endif


#include <stdio.h>

#include "fcombapp.h"
#include "fcombdlg.h"                        // Definition of client class.


//{{TFcomboApp Implementation}}


//
// Build a response table for all messages/commands handled
// by the application.
//
DEFINE_RESPONSE_TABLE1(TFcomboApp, TApplication)
//{{TFcomboAppRSP_TBL_BEGIN}}
  EV_COMMAND(CM_HELPABOUT, CmHelpAbout),
//{{TFcomboAppRSP_TBL_END}}
END_RESPONSE_TABLE;


//--------------------------------------------------------
// TFcomboApp
//
TFcomboApp::TFcomboApp() : TApplication("Fcombo")
{

  // INSERT>> Your constructor code here.
	#if !defined(__WIN32__)
	//EnableCtl3d(true);
	Ctl3dRegister(HInstance);
	Ctl3dAutoSubclass(HInstance);
	#endif
}


TFcomboApp::~TFcomboApp()
{
  // INSERT>> Your destructor code here.
  #if !defined(__WIN32__)
  Ctl3dUnregister(HInstance);
  #endif
}


//--------------------------------------------------------
// TFcomboApp
// ~~~~~
// Application intialization.
//
void TFcomboApp::InitMainWindow()
{
  if (nCmdShow != SW_HIDE)
    nCmdShow = (nCmdShow != SW_SHOWMINNOACTIVE) ? SW_SHOWNORMAL : nCmdShow;

  TSDIDecFrame* frame = new TSDIDecFrame(0, GetName(), 0, false);
  frame->SetFlag(wfShrinkToClient);

  // Override the default window style for the main window.
  //
      frame->Attr.Style |= WS_BORDER | WS_CAPTION | WS_CLIPCHILDREN | WS_MINIMIZEBOX | WS_SYSMENU | WS_VISIBLE;
    frame->Attr.Style &= ~(WS_CHILD | WS_MAXIMIZEBOX | WS_THICKFRAME);

  // Assign icons for this application.
  //
  frame->SetIcon(this, IDI_SDIAPPLICATION);
  frame->SetIconSm(this, IDI_SDIAPPLICATION);

  SetMainWindow(frame);

}



//{{TSDIDecFrame Implementation}}


TSDIDecFrame::TSDIDecFrame(TWindow* parent, const char far* title, TWindow* clientWnd, bool trackMenuSelection, TModule* module)
:
  TDecoratedFrame(parent, title, !clientWnd ? new TFcomboDlg(0) : clientWnd, trackMenuSelection, module)
{
  // INSERT>> Your constructor code here.

}


TSDIDecFrame::~TSDIDecFrame()
{
  // INSERT>> Your destructor code here.

}


//--------------------------------------------------------
// TFcomboApp
// ~~~~~~~~~~~
// Menu Help About Fcombo command
//
void TFcomboApp::CmHelpAbout()
{
}



int OwlMain(int , char* [])
{
  TFcomboApp   app;
  return app.Run();
}
