//----------------------------------------------------------------------------
//  Project Fcombo
//  
//  Copyright  1996. All Rights Reserved.
//
//  SUBSYSTEM:    Fcombo Application
//  FILE:         fcombdlg.h
//  AUTHOR:       Dr J. Maddock
//
//  OVERVIEW
//  ~~~~~~~~
//  Class definition for TFcomboDlg (TDialog).
//
//----------------------------------------------------------------------------
#if !defined(fcombdlg_h)              // Sentry, use file only if it's not already included.
#define fcombdlg_h

#include "fcombapp.rh"                  // Definition of all resources.


#include <owl/combobox.h>
#include <owl/commctrl.h>

#include <owl/checkbox.h>
#include <owl/printer.h>

#include "fcombo.h"

//{{TDialog = TFcomboDlg}}
struct TFcomboDlgXfer {
//{{TFcomboDlgXFER_DATA}}
    uint    ShowTT;
    uint    ShowRaster;
    uint    ShowPrinter;
    TComboBoxData  FontCombo;
    uint    FixedOnly;
//{{TFcomboDlgXFER_DATA_END}}
};

class TFcomboDlg : public TDialog {
  public:
    TFcomboDlg(TWindow* parent, TResId resId = IDD_CLIENT, TModule* module = 0);
	 virtual ~TFcomboDlg();
	 void Update();


//{{TFcomboDlgXFER_DEF}}
  protected:
	 TCheckBox* ShowTT;
    TCheckBox* ShowRaster;
    TCheckBox* ShowPrinter;
	 TCheckBox* FixedOnly;
	 TFontCombo* FontCombo;
	 TFontCombo* StyleBox;
	 TPrinter* printer;

//{{TFcomboDlgXFER_DEF_END}}

//{{TFcomboDlgVIRTUAL_BEGIN}}
  public:
    virtual void SetupWindow();
//{{TFcomboDlgVIRTUAL_END}}

//{{TFcomboDlgRSP_TBL_BEGIN}}
  protected:
    void BNClicked();
    void RasterClicked();
    void PrinterClicked();
	 void FixedClicked();
	 void EvMeasureItem(uint ctrlId, MEASUREITEMSTRUCT far& measureInfo);
    void PrinterChange();
    void FontSelchange();
//{{TFcomboDlgRSP_TBL_END}}
DECLARE_RESPONSE_TABLE(TFcomboDlg);
};    //{{TFcomboDlg}}


#endif  // fcombdlg_h sentry.
